Debian Bug report logs - #379679
ITA: htmlgen -- Python library for the generation of HTML

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mohammed Adnène Trojette <adn+deb@diwi.org>

Date: Mon, 24 Jul 2006 23:33:08 UTC

Owned by: Kevin Coyner <kevin@rustybear.com>

Severity: normal

Fixed in version htmlgen/2.2.2-11

Done: Kevin Coyner <kevin@rustybear.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter Hawkins <peterh@debian.org>, <wnpp@debian.org>:
Bug#379679; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
New Bug report received and forwarded. Copy sent to Peter Hawkins <peterh@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mohammed Adnène Trojette <adn+deb@diwi.org>
To: submit@bugs.debian.org
Subject: O: htmlgen -- Python library for the generation of HTML
Date: Tue, 25 Jul 2006 00:57:25 +0200
Package: wnpp
Severity: normal

The current maintainer of htmlgen, Peter Hawkins <peterh@debian.org>,
has orphaned this package.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: htmlgen
Binary: python-htmlgen
Version: 2.2.2-10.2
Priority: optional
Section: python
Maintainer: Peter Hawkins <peterh@debian.org>
Build-Depends: debhelper (>= 5.0.37.2)
Build-Depends-Indep: python-support (>= 0.3), python-all-dev (>= 2.3.5-11)
Architecture: all
Standards-Version: 3.7.2
Format: 1.0
Directory: pool/main/h/htmlgen
Files:
 84c31e221ae9fd494da981ba961bb30b 652 htmlgen_2.2.2-10.2.dsc
 613306fb2533ffee114f247c7bca4dc9 316483 htmlgen_2.2.2.orig.tar.gz
 59752546ec6ba4be7db4d61281063d65 6660 htmlgen_2.2.2-10.2.diff.gz

Package: python-htmlgen
Priority: optional
Section: python
Installed-Size: 1848
Maintainer: Peter Hawkins <peterh@debian.org>
Architecture: all
Source: htmlgen
Version: 2.2.2-10.2
Replaces: htmlgen (<< 2.2.2-8.2), python2.3-htmlgen (<< 2.2.2-10.2), python2.4-htmlgen (<< 2.2.2-10.2)
Depends: python, python-support (>= 0.2)
Recommends: python2.3-imaging
Conflicts: htmlgen (<< 2.2.2-8.2), python2.3-htmlgen (<< 2.2.2-10.2), python2.4-htmlgen (<< 2.2.2-10.2)
Filename: pool/main/h/htmlgen/python-htmlgen_2.2.2-10.2_all.deb
Size: 345424
MD5sum: 420426f6075623d922b0e0e04d2873b4
SHA1: cc17710b9d72225b62e4504b73d1c17ccd907fb5
SHA256: 4d5afe5a8c34ae6ef94620a682b3473f72f46add31a73c8dff1feb144b436e19
Description: Python library for the generation of HTML
 HTMLgen is a class library for the generation of HTML documents with
 Python scripts. It's used when you want to create HTML pages
 containing information which changes from time to time. For example
 you might want to have a page which provides an overall system summary
 of data collected nightly. Or maybe you have a catalog of data and
 images that you would like formed into a spiffy set of web pages for
 the world to browse. Python is a great scripting language for these
 tasks and with HTMLgen it's very straightforward to construct objects
 which are rendered into consistently structured web pages. Of course,
 CGI scripts written in Python can take advantage of these classes as
 well.
Python-Version: all
Tag: devel::library, langdevel::python, made-of::lang:python, role::aux:metapackage, works-with::text:html

-- 
adn
Mohammed Adnène Trojette



Changed Bug title. Request was from Kevin Coyner <kevin@rustybear.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Kevin Coyner <kevin@rustybear.com>. Request was from Kevin Coyner <kevin@rustybear.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#379679; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Kevin Coyner <kevin@rustybear.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #14 received at 379679@bugs.debian.org (full text, mbox):

From: Kevin Coyner <kevin@rustybear.com>
To: debian-mentors@lists.debian.org
Cc: 379679@bugs.debian.org
Subject: RFS: python-htmlgen -- library for the generation of HTML
Date: Wed, 26 Jul 2006 09:07:03 -0400
I am looking for a sponsor for the package 'python-htmlgen'.  This is a great
little Python module that generates html pages on the fly.

The package was recently orphaned and I quite like it, so I decided to pick it
up and maintain it in order to keep it in Debian.

The package is lintian/linda clean and builds cleanly in pbuilder.

Thank you in advance for reviewing this package and possibly sponsoring it.

Package name:       python-htmlgen
Version:            2.2.2-11
Upstream author:    Robin Friedrich <Robin.Friedrich@pdq.net>
URL: http://www.python.net/crew/friedrich/HTMLgen/html/main.html

Description:  HTMLgen is a class library for the generation of HTML documents
with Python scripts. It's used when you want to create HTML pages containing
information which changes from time to time. For example you might want to have
a page which provides an overall system summary of data collected nightly. Or
maybe you have a catalog of data and images that you would like formed into a
spiffy set of web pages for the world to browse. Python is a great scripting
language for these tasks and with HTMLgen it's very straightforward to
construct objects which are rendered into consistently structured web pages. Of
course, CGI scripts written in Python can take advantage of these classes as
well.

ITA:        Closes #379679

Source files:  http://coyner.net/debian/

Thanks!

-- 
Kevin Coyner  GnuPG key: 1024D/8CE11941  http://rustybear.com/publickey



Reply sent to Kevin Coyner <kevin@rustybear.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 379679-close@bugs.debian.org (full text, mbox):

From: Kevin Coyner <kevin@rustybear.com>
To: 379679-close@bugs.debian.org
Subject: Bug#379679: fixed in htmlgen 2.2.2-11
Date: Wed, 26 Jul 2006 08:32:07 -0700
Source: htmlgen
Source-Version: 2.2.2-11

We believe that the bug you reported is fixed in the latest version of
htmlgen, which is due to be installed in the Debian FTP archive:

htmlgen_2.2.2-11.diff.gz
  to pool/main/h/htmlgen/htmlgen_2.2.2-11.diff.gz
htmlgen_2.2.2-11.dsc
  to pool/main/h/htmlgen/htmlgen_2.2.2-11.dsc
python-htmlgen_2.2.2-11_all.deb
  to pool/main/h/htmlgen/python-htmlgen_2.2.2-11_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 379679@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kevin Coyner <kevin@rustybear.com> (supplier of updated htmlgen package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 26 Jul 2006 08:09:09 -0400
Source: htmlgen
Binary: python-htmlgen
Architecture: source all
Version: 2.2.2-11
Distribution: unstable
Urgency: low
Maintainer: Kevin Coyner <kevin@rustybear.com>
Changed-By: Kevin Coyner <kevin@rustybear.com>
Description: 
 python-htmlgen - Python library for the generation of HTML
Closes: 379679
Changes: 
 htmlgen (2.2.2-11) unstable; urgency=low
 .
   * New maintainer:  Kevin Coyner <kevin@rustybear.com> (Closes: #379679)
   * debian/control:  Added homepage to Description field and
     XS-Python-Version: all to Source section.
Files: 
 c3e527d1f7bc482eb9d6bbff89eaeaf1 669 python optional htmlgen_2.2.2-11.dsc
 8de84bc25a48cae4c9996408b32d8b23 6762 python optional htmlgen_2.2.2-11.diff.gz
 94a4cd3e9949d2c6a07bef15d978970f 328902 python optional python-htmlgen_2.2.2-11_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEx4nqpdwBkPlyvgMRAt3KAJ9ihmODqhWziWUgPTT2PHC39PAnJwCaArp2
8mrL2XgR5Av1A7MJ752T9Fg=
=pTCm
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 20:38:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:54:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.